@import "../styles/colors";

.postpage{

  * {
    word-break: break-word;
  }
  .container{
    .row.post.order-2{
      margin-top: 1.5rem;
      @media screen and (max-width: 990px) {
        margin-top: 0;
        .order-2{
          margin-bottom: 20px;
          order: 0;
        }
      }
    }
    .post {
      border-radius: 2px;
      .postdata{
        img{
          border: 1px solid #f2f2f2;
          padding: 5px;
        }
        .postContentImg{
          margin: 10px 0;
        }
        .paddingleft{
          margin-left: 1.5rem;
        }
      }
      .content {
        padding: 0;
        box-shadow: 0 0px 5px 0 rgba(0, 0, 0, 0.1), 0 5px 15px 0 rgba(0, 0, 0, 0.05);

        @media screen and (min-width: 990px) {
          margin-left: 15px;
        }
        margin-right: auto;

        a {
          color: $light-blue;
          word-break: break-all;

          &:hover {
            color: $blue;
            text-decoration: none;
          }
        }
        @for $i from 1 through 6 {
          h#{$i} {
            font-size: 30 - $i * 2px;
            font-weight: 600;
          }
        }

        

        blockquote {
          max-width: 100%;
          width: 100%;
          word-break: break-word;
          caret-color: rgba(255, 255, 255, 0.9);
          border-left: 3px solid currentcolor;
          margin: 0; // Required
          padding-left: 0.9em;
          padding-right: 0.9em;
        }
      }

      #gitalk-container {
        margin: 0 auto;
      }
    }
  }
  #disqus_thread{
    width: 100%;
    padding: 30px;
    background: #f3f3f3;
  }

}

